<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:background="@color/black70">


        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <View
                android:id="@+id/v_bg"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:background="@drawable/bg_agreement_dialog"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintWidth_percent="0.7777777777777778" />

            <Space
                android:id="@+id/space_1"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="360:24"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/dialog_agreement_title"
                android:textColor="#25262A"
                android:textSize="15sp"
                android:textStyle="bold"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/space_1" />

            <Space
                android:id="@+id/space_2"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="360:12"
                app:layout_constraintTop_toBottomOf="@+id/tv_title" />


            <TextView
                android:id="@+id/tv_content"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:textColor="#5F5F61"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/space_2"
                app:layout_constraintWidth_percent="0.6888888888888889"
                tools:text="为了更好地为您服务，我们可能向系统申请一些必要权限，用于基本服务和功能。我们非常重视您的隐私和个
人信息，请使用之前请仔细阅读《隐私政策》和《用户使用协议》。同意后，我们将继续为您服务。" />

            <Space
                android:id="@+id/space_3"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="360:34"
                app:layout_constraintTop_toBottomOf="@+id/tv_content" />

            <TextView
                android:id="@+id/tv_dis_agree"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:background="@drawable/bg_agreement_disagree"
                android:gravity="center"
                android:text="@string/dialog_agreement_disagree"
                android:textColor="#5F5F61"
                android:textSize="14sp"
                android:textStyle="bold"
                app:layout_constraintDimensionRatio="120:36"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintLeft_toLeftOf="@+id/v_bg"
                app:layout_constraintRight_toLeftOf="@+id/tv_agree"
                app:layout_constraintTop_toBottomOf="@+id/space_3"
                app:layout_constraintWidth_percent="0.3333333333333333" />

            <TextView
                android:id="@+id/tv_agree"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginStart="8dp"
                android:background="@drawable/bg_agreement_agree"
                android:gravity="center"
                android:text="@string/dialog_agreement_agree"
                android:textColor="#fff"
                android:textSize="14sp"
                android:textStyle="bold"
                app:layout_constraintDimensionRatio="120:36"
                app:layout_constraintLeft_toRightOf="@+id/tv_dis_agree"
                app:layout_constraintRight_toRightOf="@+id/v_bg"
                app:layout_constraintTop_toTopOf="@+id/tv_dis_agree"
                app:layout_constraintWidth_percent="0.3333333333333333" />

            <Space
                android:id="@+id/space_4"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="360:24"
                app:layout_constraintTop_toBottomOf="@+id/tv_dis_agree" />


        </androidx.constraintlayout.widget.ConstraintLayout>


    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>